Subject: Re: [PATCH 10/10] t9904: new __git_ps1 tests for Zsh

From: Thomas Rast <[email-masked]>
Date: Thu, 29 May 2014 21:02:39 +0200

Richard Hansen <[email-masked]> writes:

> These are the same tests as in t9903, but run in zsh instead of bash.
>
> Signed-off-by: Richard Hansen <[email-masked]>
> ---
>  t/lib-zsh.sh          | 30 ++++++++++++++++++++++++++++++
>  t/t9904-zsh-prompt.sh | 10 ++++++++++
>  2 files changed, 40 insertions(+)
>  create mode 100644 t/lib-zsh.sh
>  create mode 100755 t/t9904-zsh-prompt.sh

This doesn't appear to work in valgrind mode:

$ ./t9904-zsh-prompt.sh --valgrind
error: Test script did not set test_description.

t9903 however works.  I'm not sure how much of a difference it makes,
but: I use bash as my shell and as /bin/sh, but I do have zsh installed.

Can you look into it?

-- 
Thomas Rast
[email-masked]